aboutsummaryrefslogtreecommitdiffstats
path: root/package/system/opkg/files
diff options
context:
space:
mode:
authorJonas Gorski <jogo@openwrt.org>2015-07-25 12:12:28 +0000
committerJonas Gorski <jogo@openwrt.org>2015-07-25 12:12:28 +0000
commitec428bccadd655ace750b47f23f933dc3d05ebfe (patch)
tree5cad31681159ffef21f5ce29bdf67758ecb4dc9c /package/system/opkg/files
parentef78a6399735bc2867ec91a22cbfa00399e21a99 (diff)
downloadupstream-ec428bccadd655ace750b47f23f933dc3d05ebfe.tar.gz
upstream-ec428bccadd655ace750b47f23f933dc3d05ebfe.tar.bz2
upstream-ec428bccadd655ace750b47f23f933dc3d05ebfe.zip
opkg: ensure image provided feeds are available after sysupgrade
Split the opkg.conf into three files, to make it easier to support custom feeds and configs: * /etc/opkg.conf -> base opkg configuration * /etc/opkg/distfeeds.conf -> default Openwrt package feeds * /etc/opkg/customfeeds.conf -> custom package feeds Of these three, only the base opkg.conf and the customfeeds.conf is marked as to be kept, so that the distfeeds.conf from the image is always used. To ease migration, a script is added that moves any feeds from /etc/opkg.conf to /etc/opkg/customfeeds.conf on first boot. Also ensure that any keys used for verification are also kept in upgrade. Signed-off-by: Jonas Gorski <jogo@openwrt.org> SVN-Revision: 46491
Diffstat (limited to 'package/system/opkg/files')
-rw-r--r--package/system/opkg/files/20_migrate-feeds9
-rw-r--r--package/system/opkg/files/customfeeds.conf3
2 files changed, 12 insertions, 0 deletions
diff --git a/package/system/opkg/files/20_migrate-feeds b/package/system/opkg/files/20_migrate-feeds
new file mode 100644
index 0000000000..38cc57c467
--- /dev/null
+++ b/package/system/opkg/files/20_migrate-feeds
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+[ -f /etc/opkg.conf ] && grep -q "src\/" /etc/opkg.conf || exit 0
+
+echo -e "# Old feeds from previous image\n# Uncomment to reenable\n" >> /etc/opkg/customfeeds.conf
+sed -n "s/.*\(src\/.*\)/# \1/p" /etc/opkg.conf >> /etc/opkg/customfeeds.conf
+sed -i "/.*src\/.*/d" /etc/opkg.conf
+
+exit 0
diff --git a/package/system/opkg/files/customfeeds.conf b/package/system/opkg/files/customfeeds.conf
new file mode 100644
index 0000000000..f130113c47
--- /dev/null
+++ b/package/system/opkg/files/customfeeds.conf
@@ -0,0 +1,3 @@
+# add your custom package feeds here
+#
+# src/gz example_feed_name http://www.example.com/path/to/files